# Centralized Economic Data API

![py_version](https://img.shields.io/badge/python-3.6+-brightgreen)
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.5229506.svg)](https://doi.org/10.5281/zenodo.5229506)

## Introduction

This is a economic data collecting library, with both `python` and `R`

* `python` version: [https://github.com/TerenceLiu98/CEDApy](https://github.com/TerenceLiu98/CEDApy)
* `R` version: [https://github.com/TerenceLiu98/CEDAr](https://github.com/TerenceLiu98/CEDAr) *Not Start Yet*

## Installation

Via the source code

```shell
git clone https://github.com/TerenceLiu98/CEDApy.git
python setup.py install
```

Via the `pypi`:

```shell
python -m pip install CEDApy
```

## How to use

Please check [Wiki](https://github.com/TerenceLiu98/CEDApy/wiki)

## Acknowledgement

* Thanks [akshare](https://github.com/jindaxiang/akshare/)
* Thanks [EastMoney](https://www.eastmoney.com)
* Thanks [St.Louis Federal Reserve Bank](https://fred.stlouisfed.org/)
* Thanks [Chicago Federal Reserve Bank](https://www.chicagofed.org/)
* Thanks [Philadelphia Federal Reserve Bank](https://www.philadelphiafed.org/)
* Thanks [eurostat Economic Indicators](https://ec.europa.eu/eurostat/cache/infographs/economy/desktop/index.html)
* Thanks [Europen Central Bank](https://www.ecb.europa.eu)
* Thanks [MarketWatch](https://www.marketwatch.com/)

## If you want to cite...

```txt
@software{terencelau_2021_5229506,
  author       = {TerenceLau},
  title        = {TerenceLiu98/CEDApy: V0.2.2},
  month        = aug,
  year         = 2021,
  publisher    = {Zenodo},
  version      = {V0.2.2},
  doi          = {10.5281/zenodo.5229506},
  url          = {https://doi.org/10.5281/zenodo.5229506}
}
```
